View Issue Details

IDCategoryLast Update
0004994bugs2019-07-14 18:06
ReportercolinfAssigned Topaul 
Reproducibilityalways 
Status feedbackResolutionreopened 
Product Version 
Fixed in Version 
Summary0004994: Shuttle speed can't be reset to exactly 100%
DescriptionNow that shuttle speed persists over transport stop, there doesn't seem to be a way to reset it to exactly 100%, even when recording. This leads to recorded regions mysteriously going out of sync when the speed is set to approximately 100% by hand.
TagsNo tags attached.

Relationships

related to 0002981 new Resample Recordings when Pitch Wheel is Adjusted 
related to 0005136 new using audio scrub, playback speed sticks to the % speed at time of mouse button release will not return to zero point (100%) 

Activities

rsevero

2012-07-08 12:45

reporter   ~0013809

Just as a side note: if you change from "wheel" mode to "sprung" mode _while playing_ it goes back to 100%.

colinf

2012-07-08 14:42

updater   ~0013813

I think the change that introduced this behaviour was r12819. Obviously reverting that is the wrong thing, but there ought to be a better way of defining when the transport default speed should be reset.

paul

2012-07-09 19:51

administrator   ~0013824

fixed in rev 13000.

colinf

2012-07-10 09:42

updater   ~0013828

Shift-click to reset to 1.0 in r13000 is good.

A few gotchas still remain:
 - when the transport is stopped, there's no way to see what speed the transport will begin to roll at when it starts.
 - even when rolling, there's no way to tell if the speed is 99.5% or 100.499% rather than 100% exactly.
 - it's still possible to record with the transport speed != 100%, which leads to recorded regions being mysteriously out of alignment.

For the moment I guess it makes sense to force the speed to 100% when recording, though I know there's a request already in Mantis for vari-speed recording.

colinf

2012-07-10 09:45

updater   ~0013829

Ah, and it'd be nice to be able to reset the speed when the transport is stopped, as well as when it's rolling.

Issue History

Date Modified Username Field Change
2012-07-08 12:30 colinf New Issue
2012-07-08 12:45 rsevero Note Added: 0013809
2012-07-08 14:42 colinf Note Added: 0013813
2012-07-09 19:51 paul Note Added: 0013824
2012-07-09 21:23 paul cost => 0.00
2012-07-09 21:23 paul Status new => resolved
2012-07-09 21:23 paul Resolution open => fixed
2012-07-09 21:23 paul Assigned To => paul
2012-07-10 09:42 colinf Note Added: 0013828
2012-07-10 09:42 colinf Status resolved => feedback
2012-07-10 09:42 colinf Resolution fixed => reopened
2012-07-10 09:43 colinf Relationship added related to 0002981
2012-07-10 09:45 colinf Note Added: 0013829
2012-07-11 23:23 cth103 Target Version => 3.0
2012-10-23 12:13 colinf Relationship added related to 0005136